//
//			Yasuharu Okamoto, 2012.06
//
#include <iostream>
#include <iomanip>
#include <ctime>
#include "RNP2to191.h"							//	random number generator

using namespace std;
using namespace rnp2to191;						//	random number generator


int main()
{
	cout << "The program started." << endl;
	RNP2to191 rn;								//	random number generator
	clock_t vt0 = clock();
	for (int i = 0; i < 100000000L; i++){
			rn.uni();
	}
	clock_t vt1 = clock();
	cout << double(vt1 - vt0) / double(CLOCKS_PER_SEC) << "s elapsed." << endl;
	double vt = ((vt1 - vt0) * pow(2.0, 191) / 100000000.0) / (double(CLOCKS_PER_SEC) * 60.0 * 60.0 * 24.0);
	cout << "It will take about " << setprecision(5) << vt << "days to call uni() 2**191 times." << endl;
	
	return 0;
}
